Equipes
GET https://perfil.io/api/teams/
curl --request GET \
--url 'https://perfil.io/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://perfil.io/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| search | Opcional Cadeia de caracteres | A sequência de pesquisa. |
| search_by | Opcional Cadeia de caracteres | Por qual campo você está pesquisando. Os valores permitidos são: name. |
| datetime_field | Opcional Cadeia de caracteres | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Cadeia de caracteres | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcional Cadeia de caracteres | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcional Cadeia de caracteres | Campo pelo qual ordenar os resultados. Os valores permitidos são: team_id, datetime, last_datetime, name. |
| order_type | Opcional Cadeia de caracteres | A ordenação dos resultados. Os valores permitidos são: ASC para ordenação ascendente, |
| page | Opcional Inteiro | O número da página da qual você deseja obter resultados. O padrão é 1. |
| results_per_page | Opcional Inteiro | Quantos resultados você deseja por página. Os valores permitidos são: 10, 25, 50, 100, 250, 500, 1000. O padrão é 25
|
{
"data": [
{
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-06-13 03:23:22",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-06-13 03:23:22",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://perfil.io/api/teams?page=1",
"last": "https://perfil.io/api/teams?page=1",
"next": null,
"prev": null,
"self": "https://perfil.io/api/teams?page=1"
}
}
GET https://perfil.io/api/teams/{team_id}
curl --request GET \
--url 'https://perfil.io/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://perfil.io/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-06-13 03:23:22",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-06-13 03:23:22",
}
}
POST https://perfil.io/api/teams
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| name | Obrigatório Cadeia de caracteres | - |
curl --request POST \
--url 'https://perfil.io/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
--url 'https://perfil.io/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{
"data": {
"id": 1
}
}
POST https://perfil.io/api/teams/{team_id}
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| name | Opcional Cadeia de caracteres | - |
curl --request POST \
--url 'https://perfil.io/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
--url 'https://perfil.io/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{
"data": {
"id": 1
}
}
DELETE https://perfil.io/api/teams/{team_id}
curl --request DELETE \
--url 'https://perfil.io/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://perfil.io/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \